/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.dto.BugLegacyGradeGroupDto;

import net.northking.cctp.dw.dto.BugLifeCycleChartAddDto;
import net.northking.cctp.dw.dto.BugOverallTendencyChartAddDto;

import java.util.List;

/**
 * 缺陷管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-01-28 13:45:44  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface SynBugInfoService extends BasicService<SynBugInfo> {

    List<SynBugInfo> findProIdList();

    List<BugLifeCycleChartAddDto> findBugLifeCycleList(List<String> endStatus, String proId);

    List<BugOverallTendencyChartAddDto> queryBugTendencyMessage(String proId, List<String> endStatus);

    List<BugLegacyGradeGroupDto> findAllGroup();

    Integer insertBugInfoByBatch(List<SynBugInfo> dtoList);

    List<String> findTenantIdList();
}
